IF OBJECT_ID('[Generel].[DimTidMåned]','U') IS NOT NULL
BEGIN
IF NOT EXISTS (SELECT 'T' FROM [Generel].[DimTidMåned] WHERE [DimTidMånedID] = -1 )
  INSERT INTO [Generel].[DimTidMåned]([DimTidMånedID]) VALUES (-1)
UPDATE [Generel].[DimTidMåned] SET
   [MånedNøgle] = 999999
	,[MånedNummer] = 999999
	,[MånedNavn] = 'Ukendt'
	,[MånedNavnKort] = 'Ukendt'
	,[MånedIÅr] = 99
	,[MånedIÅrNavn] = 'Ukendt'
	,[MånedIÅrSortering] = 'Ukt'
	,[PrimoMåned] = '1900-01-01'
	,[UltimoMåned] = '1900-01-01'
	,[KvartalNummer] = 17540001
	,[KvartalNavn] = 'Ukendt'
	,[KvartalIÅr] = 9
	,[KvartalIÅrNavn] = 'Ukendt'
	,[PrimoKvartal] = '1900-01-01'
	,[UItimoKvartal] = '1900-01-01'
	,[HalvårNummer] = 9999999
	,[HalvårNavn] = 'Ukendt'
	,[HalvårIÅr] = 9
	,[HalvårIÅrNavn] = 'Ukendt'
	,[PrimoHalvår] = '1900-01-01'
	,[UltimoHalvår] = '1900-01-01'
	,[År] = -1
	,[PrimoÅr] = '1900-01-01'
	,[UltimoÅr] = '1900-01-01'
	,[SYS_KommuneId] = 999
   WHERE [DimTidMånedID] = -1
END
GO
